/////////////////////////////////////////////////////////////////////////////
//    License (GPLv2+):
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful, but
//    WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//    General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
/////////////////////////////////////////////////////////////////////////////

// fshedDoc.h : interface of the CFshedDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FSHEDDOC_H__BD87E551_34CD_11D5_B4F0_00B0D0719D70__INCLUDED_)
#define AFX_FSHEDDOC_H__BD87E551_34CD_11D5_B4F0_00B0D0719D70__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "simparr.h"

class CFshedDoc : public CDocument
{
protected: // create from serialization only
    CFshedDoc();
    DECLARE_DYNCREATE(CFshedDoc)

// Attributes
public:

// Operations
public:

// Overrides
    // ClassWizard generated virtual function overrides
    //{{AFX_VIRTUAL(CFshedDoc)
    public:
    virtual BOOL OnNewDocument();
    virtual void Serialize(CArchive& ar);
    virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
    virtual BOOL OnSaveDocument(LPCTSTR lpszPathName);
    //}}AFX_VIRTUAL

    int load_file (LPCTSTR fname);
    int file_is_loadable (LPCTSTR fname);
    int bReadOnly;
    SimpleArray<unsigned char> DataArray;
    TCHAR *filename;
    int bFileNeverSaved, bPartialOpen;
    int bFilestatusChanged;
    int iPartialOffset;

// Implementation
public:
    virtual ~CFshedDoc();
#ifdef _DEBUG
    virtual void AssertValid() const;
    virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
    //{{AFX_MSG(CFshedDoc)
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FSHEDDOC_H__BD87E551_34CD_11D5_B4F0_00B0D0719D70__INCLUDED_)
